Package net.shibboleth.shared.testing

# Class EmbeddedJetty.ResourceHandler

java.lang.Object
org.eclipse.jetty.util.component.AbstractLifeCycle
org.eclipse.jetty.util.component.ContainerLifeCycle
org.eclipse.jetty.server.Handler.Abstract
net.shibboleth.shared.testing.EmbeddedJetty.ResourceHandler

All Implemented Interfaces:
  `org.eclipse.jetty.server.Handler`, `org.eclipse.jetty.server.Request.Handler`, `org.eclipse.jetty.util.component.Container`, `org.eclipse.jetty.util.component.Destroyable`, `org.eclipse.jetty.util.component.Dumpable`, `org.eclipse.jetty.util.component.Dumpable.DumpableContainer`, `org.eclipse.jetty.util.component.LifeCycle`, `org.eclipse.jetty.util.thread.Invocable`

Enclosing class:
  EmbeddedJetty

public static class EmbeddedJetty.ResourceHandler extends org.eclipse.jetty.server.Handler.Abstract
Jetty handler to server content.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.jetty.server.Handler.Abstract

`org.eclipse.jetty.server.Handler.Abstract.NonBlocking`

## Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`org.eclipse.jetty.util.component.AbstractLifeCycle.AbstractLifeCycleListener, org.eclipse.jetty.util.component.AbstractLifeCycle.StopException`

## Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.Container

`org.eclipse.jetty.util.component.Container.InheritedListener, org.eclipse.jetty.util.component.Container.Listener`

## Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.Dumpable

`org.eclipse.jetty.util.component.Dumpable.DumpableContainer, org.eclipse.jetty.util.component.Dumpable.DumpAppendable`

## Nested classes/interfaces inherited from interface org.eclipse.jetty.server.Handler

`org.eclipse.jetty.server.Handler.Abstract, org.eclipse.jetty.server.Handler.AbstractContainer, org.eclipse.jetty.server.Handler.Collection, org.eclipse.jetty.server.Handler.Container, org.eclipse.jetty.server.Handler.Sequence, org.eclipse.jetty.server.Handler.Singleton, org.eclipse.jetty.server.Handler.Wrapper`

## Nested classes/interfaces inherited from interface org.eclipse.jetty.util.thread.Invocable

`org.eclipse.jetty.util.thread.Invocable.Callable, org.eclipse.jetty.util.thread.Invocable.InvocationType, org.eclipse.jetty.util.thread.Invocable.ReadyTask, org.eclipse.jetty.util.thread.Invocable.Task`

## Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

`org.eclipse.jetty.util.component.LifeCycle.Listener`

## Nested classes/interfaces inherited from interface org.eclipse.jetty.server.Request.Handler

`org.eclipse.jetty.server.Request.Handler.AbortException`

## Field Summary

Fields
Modifier and Type
Field
Description
`(package private) String`
`contentType`
`(package private) final Resource`
`resource`
`(package private) final int`
`status`

### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`FAILED, STARTED, STARTING, STOPPED, STOPPING`

### Fields inherited from interface org.eclipse.jetty.util.component.Dumpable

`LEGEND`

### Fields inherited from interface org.eclipse.jetty.util.thread.Invocable

`__nonBlocking, NOOP`

## Constructor Summary

Constructors
Constructor
Description
`ResourceHandler(int s, Resource r)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`handle(org.eclipse.jetty.server.Request request, org.eclipse.jetty.server.Response response, org.eclipse.jetty.util.Callback callback)`
`void`
`setContentType(String type)`
Set value of content type header.

### Methods inherited from class org.eclipse.jetty.server.Handler.Abstract

`destroy, doStart, doStop, getInvocationType, getServer, setServer`

### Methods inherited from class org.eclipse.jetty.util.component.ContainerLifeCycle

`addBean, addBean, addEventListener, addManaged, contains, dump, dump, dump, dumpObjects, dumpStdErr, getBean, getBeans, getBeans, getContainedBeans, getContainedBeans, installBean, installBean, isAuto, isManaged, isUnmanaged, manage, removeBean, removeBeans, removeEventListener, setBeans, start, stop, unmanage, updateBean, updateBean, updateBeans, updateBeans`

### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`getEventListeners, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, setEventListeners, start, stop, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jetty.util.component.Container

`getCachedBeans, getEventListeners`

### Methods inherited from interface org.eclipse.jetty.util.component.Dumpable

`dumpSelf`

### Methods inherited from interface org.eclipse.jetty.util.component.Dumpable.DumpableContainer

`isDumpable`

### Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle

`addEventListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeEventListener, start, stop`

## Field Details

### status

final int status

### resource

@Nonnull final Resource resource

### contentType

@Nullable String contentType

## Constructor Details

### ResourceHandler

public ResourceHandler(int s, @Nonnull Resource r)
Constructor.

Parameters:
  `s` - status
  `r` - resource to serve

## Method Details

### setContentType

public void setContentType(@Nullable String type)
Set value of content type header.

Parameters:
  `type` - content type value

### handle

public boolean handle(org.eclipse.jetty.server.Request request, org.eclipse.jetty.server.Response response, org.eclipse.jetty.util.Callback callback) throws Exception

Throws:
  `Exception`